# keeping python3 subpackage as stdlib mock lives in a different namespace
# Some people may have not fixed their imports

%define module mock

Name:           python-mock
Version:        4.0.2
Release:        %mkrel 1
Summary:        A Python Mocking and Patching Library for Testing

Group:          Development/Python
License:        BSD
URL:            http://www.voidspace.org.uk/python/mock
Source0:        http://pypi.python.org/packages/source/m/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(funcsigs)
# For tests
BuildRequires:  python3dist(unittest2)
BuildRequires:  python3dist(pytest)

%description
Mock is a Python module that provides a core mock class. It removes the need
to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.

%package -n python3-%{module}
Summary:        A Python Mocking and Patching Library for Testing
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
Requires:       python3dist(funcsigs)

%description -n python3-%{module}
Mock is a Python module that provides a core mock class. It removes the need
to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.

%prep
%setup -q -n %{module}-%{version}

# drop bundled egg-info
rm -rf mock.egg-info

%build
%py3_build

%check
%{__python3} setup.py test

%install
%py3_install

%files -n python3-%{module}
%license LICENSE.txt
%doc README.rst CHANGELOG.rst
%{python3_sitelib}/*


%changelog
* Tue Mar 31 2020 wally <wally> 4.0.2-1.mga8
+ Revision: 1562768
- new version 4.0.2

* Sun Feb 16 2020 umeabot <umeabot> 3.0.5-3.mga8
+ Revision: 1530605
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 3.0.5-2.mga8
+ Revision: 1437153
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 3.0.5-1.mga8
+ Revision: 1436801
- new version 3.0.5
- drop python2 support
- rebuild for python3.8

* Sat Jan 12 2019 wally <wally> 2.0.0-8.mga7
+ Revision: 1355437
- require funcsigs

* Wed Jan 09 2019 kekepower <kekepower> 2.0.0-7.mga7
+ Revision: 1353334
- Rebuild for new build of python-pbr

* Sat Jan 05 2019 wally <wally> 2.0.0-6.mga7
+ Revision: 1349277
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.0.0-5.mga7
+ Revision: 1289193
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 2.0.0-4.mga7
+ Revision: 1220567
- Update BRs
- Use python_provide

* Thu Oct 12 2017 tv <tv> 2.0.0-3.mga7
+ Revision: 1171230
- BR python-unittest2 thus fixing build with iurt-0.7

* Wed Oct 04 2017 tv <tv> 2.0.0-2.mga7
+ Revision: 1168577
- BR pythonX-pbr thus fixing build

* Thu Aug 03 2017 philippem <philippem> 2.0.0-1.mga7
+ Revision: 1134330
- update to 2.0.0

* Tue Jul 04 2017 daviddavid <daviddavid> 1.3.0-4.mga6
+ Revision: 1109045
- fix a dangling link in doc files

* Wed Dec 23 2015 philippem <philippem> 1.3.0-3.mga6
+ Revision: 913880
- add missing BR

* Wed Oct 07 2015 tv <tv> 1.3.0-2.mga6
+ Revision: 887035
- rebuild for python 3.5

* Fri Aug 28 2015 philippem <philippem> 1.3.0-1.mga6
+ Revision: 870558
- update to 1.3.0

* Tue Jun 30 2015 joequant <joequant> 1.0.1-8.mga6
+ Revision: 848315
- remove unittest2 not necessary

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-7.mga6
+ Revision: 749495
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-6.mga5
+ Revision: 729087
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 688156
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.0.1-4.mga5
+ Revision: 628806
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 543635
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-2.mga4
+ Revision: 498925
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 10 2013 philippem <philippem> 1.0.1-1.mga4
+ Revision: 452422
- imported package python-mock

